clan::LineRay3x< Type > Class Template Reference - ClanLib SDK
Description: clan::LineRay3x< Type > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::LineRay3x< Type > Class Template Reference
clanCore Math

3D line ray More...

`#include <line_ray.h>`

## Public Member Functions
| LineRay3x ()
| LineRay3x (const LineRay3x< Type > &copy)
| LineRay3x (const Vec3< Type > &point_p, const Vec3< Type > &direction_v)
bool | operator!= (const LineRay3x< Type > &line) const
| != operator.
LineRay3x< Type > & | operator= (const LineRay3x< Type > &copy)
| = operator.
bool | operator== (const LineRay3x< Type > &line) const
| == operator.

## Public Attributes
Vec3< Type > | p
| Start point on the line ray.
Vec3< Type > | v

## Detailed Description

template<typename Type>
class clan::LineRay3x< Type >

3D line ray

A ray has a start point and a direction
These line templates are defined for: int (LineRay3), float (LineRay3f), double (LineRay3d)

## Constructor & Destructor Documentation

## ◆ LineRay3x() [1/3]

template<typename Type >

clan::LineRay3x< Type >::LineRay3x | ( |  | ) |
| inline

## ◆ LineRay3x() [2/3]

template<typename Type >

clan::LineRay3x< Type >::LineRay3x | ( | const LineRay3x< Type > & | copy | ) |
| inline

## ◆ LineRay3x() [3/3]

template<typename Type >

clan::LineRay3x< Type >::LineRay3x | ( | const Vec3< Type > & | point_p,
|  | const Vec3< Type > & | direction_v )
| inline

## Member Function Documentation

## ◆ operator!=()

template<typename Type >

bool clan::LineRay3x< Type >::operator!= | ( | const LineRay3x< Type > & | line | ) | const
| inline

!= operator.

References clan::line, clan::LineRay3x< Type >::p, and clan::LineRay3x< Type >::v.

## ◆ operator=()

template<typename Type >

LineRay3x< Type > & clan::LineRay3x< Type >::operator= | ( | const LineRay3x< Type > & | copy | ) |
| inline

= operator.

References clan::LineRay3x< Type >::p, and clan::LineRay3x< Type >::v.

## ◆ operator==()

template<typename Type >

bool clan::LineRay3x< Type >::operator== | ( | const LineRay3x< Type > & | line | ) | const
| inline

== operator.

References clan::line, clan::LineRay3x< Type >::p, and clan::LineRay3x< Type >::v.

## Member Data Documentation

## ◆ p

template<typename Type >

Vec3<Type> clan::LineRay3x< Type >::p

Start point on the line ray.

Referenced by clan::LineRay3x< Type >::operator!=(), clan::LineRay3x< Type >::operator=(), and clan::LineRay3x< Type >::operator==().

## ◆ v

template<typename Type >

Vec3<Type> clan::LineRay3x< Type >::v

Referenced by clan::LineRay3x< Type >::operator!=(), clan::LineRay3x< Type >::operator=(), and clan::LineRay3x< Type >::operator==().

The documentation for this class was generated from the following file:

- line_ray.h